### Method

# Fwupd Device get_composite_id

since: 1.6.0

#### Declaration [src]

    const gchar*
    fwupd_device_get_composite_id (
      FwupdDevice* self
    )

#### Description [src]

Gets the composite ID, falling back to the device ID if unset.

The composite ID will be the same value for all parent, child and sibling devices.

Available since: 1.6.0

#### Return value

Type: `const gchar*`

The composite ID.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.